SQRT(3)

NAME
cbrt, cbrtf, cbrtl, sqrt, sqrtf, sqrtl - cube root and square root functions

SYNOPSIS
#include <math.h>
double
cbrt(double x);
float
cbrtf(float x);
long double
cbrtl(long double x);
double
sqrt(double x);
float
sqrtf(float x);
long double
sqrtl(long double x);

DESCRIPTION
The cbrt() function computes the cube root of x. The cbrtf() function is a single precision version of cbrt(). The cbrtl() function is an extended precision version of cbrt().

The sqrt() function computes the non-negative square root of x. The sqrtf() function is a single precision version of sqrt(). The sqrtl() function is an extended precision version of sqrt().

RETURN VALUES
If x is negative, sqrt(x), sqrtf(x) and sqrtl(x) set the global variable errno to EDOM.

HISTORY
The cbrt() function appeared in 4.3BSD.